> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/additional-api-integration/api-tokenization/payment-window-integration-api.md).

# Payment Window Integration API

Payment Window integration uses a set of standard basic parameters which makes the integrations steps easier, even when you use multiple payment modes.

For payment integration request, all communication with Faspay e-Payment must be accomplished through web browser. Backend submission using socket interface is not allowed as the payment process flow involve browser submission and redirection. Merchant do not necessary to have secure SSL certificates installed as all sensitive payment related information are entered only at Faspay e-Payment web pages. Merchants using this integration option should not collect and store any sensitive information such as credit card number etc.

Use the following URL to submit to our payment window interface through HTML FORM POST method:

| Development                           |
| ------------------------------------- |
| <https://fpgdev.faspay.co.id/payment> |

The above URL is for tokenization transaction processing.

Following are the additional parameters you should include in your payment request:

<table><thead><tr><th width="164">Parameter</th><th width="128">Data Type</th><th width="87" align="center">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>pymt_ind</td><td>Varchar(20)</td><td align="center">M</td><td>Specify the payment indicator to be used for tokenization transaction. The payment indicator is used as the key identifier to set certain indication. For tokenization you can fill with :<br><br><em><strong>PYMT_IND = “tokenization”</strong></em><br><br><em>Nb</em>) : for all condition, registration, payment or update card always use PYMT_IND = tokenization</td></tr><tr><td>pymt_criteria</td><td>Varchar(20)</td><td align="center">C</td><td>Specify the payment criteria to be used, together with the parameter PYMT_IND. This criteria will be set one the payment indicator had been defined.<br><br><strong>PYMT_CRITERIA = “registration”</strong><br>Is for registration payment tokenization,<br><br><strong>PYMT_CRITERIA = “payment”</strong><br>Is for transaction after registration, or update / add new card.</td></tr><tr><td>pymt_token</td><td>Varchar(40)</td><td align="center">C</td><td><p>This field for data tokens, for transaction registration this filed will be blank (null), but for transaction payment (after registration transaction) fill this field with token from response payment on registration.</p><p>Sample token :</p><p>“47271385-94F5-410A-9890-09CBB77F2A66”</p><p>You can store on your database formapped with a user ID that is registered in the merchant system.</p></td></tr></tbody></table>

**Credit Card Payment Response:**

Following are the standard parameters that the payment result will pass back as a response for credit card payments. Transaction request that has insufficient parameters or incorrect values, will be rejected by Faspay e-Payment and not stored in the system.\
\
Same as standard transactions, tokenization transactions will receive parameters like TXN\_STATUS and others, for tokenization if the transaction succeeds Faspay will send the token on the return URL and callback merchant.\
\
Additional response param for tokenization :

<table><thead><tr><th width="149">Parameter</th><th width="135">Data Type</th><th width="84" align="center">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>pymt_token</td><td>Varchar (40)</td><td align="center">C</td><td><p>Faspay will send the token ID if the transaction success by return URL and Callback merchant.</p><p>Sample token :</p><p>“47271385-94F5-410A-9890-09CBB77F2A66”</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/additional-api-integration/api-tokenization/payment-window-integration-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
